stages:
    - Test

test:
    stage: Test
    image: golang:1.15.7
    services:
        - postgres:12.2-alpine
    variables:
        POSTGRES_DB: "espg_test"
        POSTGRES_USER: "subroot"
        POSTGRES_PASSWORD: "espg1234"
        ESPG_CONN_STR: "postgres://subroot:espg1234@postgres:5432/espg_test?sslmode=disable"
    script:
        - chmod u+x ./pg_migrate.sh
        - chmod u+x ./pg_start.sh
        - chmod u+x ./pg_stop.sh
        - curl -L https://github.com/golang-migrate/migrate/releases/download/v4.13.0/migrate.linux-amd64.tar.gz | tar xvz
        - mv ./migrate.linux-amd64 /usr/bin/migrate
        - chmod u+x /usr/bin/migrate
        - ./pg_migrate.sh
        - go test --race --cover ./...